@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@300;400&family=Roboto:wght@500&display=swap');

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background: rgb(0,167,157);
  background: linear-gradient(90deg, #00a79d 0%,  #2e9ad6 100%);
  overflow-y: scroll;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

.right {
  text-align: right;
}

.flex-panel {
  width: 100%;
}

/* Media Query for Mobile Devices */
@media (max-width: 480px) {
  h4 {
    font-size: 18px;
  }
  .flex-panel-container {
    width: 95%  ;
  }
}

/* Media Query for low resolution  Tablets, Ipads */
@media (min-width: 481px) and (max-width: 767px) {
  .flex-panel-container {
    width: 90%  ;
  }
}

/* Media Query for Tablets Ipads portrait mode */
@media (min-width: 768px) and (max-width: 1024px) {
  .flex-panel-container {
    width: 80%  ;
  }
}

/* Media Query for Laptops and Desktops */
@media (min-width: 1025px) and (max-width: 1280px) {
  .flex-panel-container {
    width: 70%  ;
  }
}

/* Media Query for Large screens */
@media (min-width: 1281px) {
  .flex-panel-container {
    width: 60%  ;
  }
}

a {
  color: #00a79d;
}

.gr-btn {
  background: rgb(0,167,157);
  background: linear-gradient(90deg, rgba(0,167,157,1) 0%,  #2e9ad6 100%);
  transition: all 1s ease-in-out;
  font-family: 'Roboto', sans-serif;

}

.color-primary {
  color: rgb(0,167,157);
}

.color-secondary {
  color: #2e9ad6;
}

.gr-btn:hover {
  background: linear-gradient(90deg, rgb(0, 143, 133) 0%, #2786b9 100%);
}

h1,h2,h3,h4,h5,h6,p,input {
  color: #161a23
}

* {
  font-family: 'Nunito', sans-serif;
}

.small_placeholder::placeholder {
  font-size: 11px;
  font-style: italic;
}

.CardanoWallet {
  display: flex;
}

.CardanoWallet button {
  background: transparent;
  border: none;
}

.CardanoWallet .mr-menu-list {
  z-index: 9999;
}

.CardanoWallet .mr-menu-list > div {
  background-color: #161a23;
  z-index: 9999;
}

.privacy_policy {
  color: #0A2042;
  transition: all .5s ease-in-out;
}

.privacy_policy:hover {
  color: #335d9c;
}

.code_block {
  height: 170px;
  overflow-y: scroll  ;
  background-color: #292b37;
}

.code_block {
  scrollbar-width: thin;
  scrollbar-color: #00A79D #DFE9EB;
}

/* Chrome, Edge and Safari */
.code_block::-webkit-scrollbar {
  width: 6px;
  width: 6px;
}
.code_block::-webkit-scrollbar-track {
  border-radius: 6px;
  background-color: #DFE9EB;
}

.code_block::-webkit-scrollbar-track:hover {
  background-color: #DFE9EB;
}

.code_block::-webkit-scrollbar-track:active {
  background-color: #DFE9EB;
}

.code_block::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #00A79D;
}

.code_block::-webkit-scrollbar-thumb:hover {
  background-color: #2E9AD6;
}

.code_block::-webkit-scrollbar-thumb:active {
  background-color: #2E9AD6;
}

.blink_me {
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.blink_green {

    animation: mild 1s linear infinite;
  
}

@keyframes mild {
  50% {
    opacity: 0.8;
  }
}

.selected {
  background: #0A2042;
  color: white;
}

.hashes_table {
  width: 100%;
}

.hash {
  transition: all ease-in-out .2s;
  width: 100%;
}

.hash button {
  color: black;
} 